On Mon, Nov 16, 2009 at 11:14 PM, Sven Neumann <s...@gimp.org> wrote:
> On Mon, 2009-11-16 at 23:54 +0300, Alexandre Prokoudine wrote:
>
>> 3. Somehow make GIMP understand that it has to load
>> gimp20-my-pack-of-scripts.mo files.
>
> For a plug-in this is easy. The plug-in would have to make sure that it
> calls the gimp-plugin-domain-register procedure. A Script-Fu script
> however runs in the Script-Fu interpreter and can't do this. As long as
> Script-Fu doesn't provide support for internationalisation of
> third-party scripts, there is no way to do what you are aiming for.
>
> Short answer: forget about Script-Fu and use Python instead.
Can we haz a long answer? Because porting entire FX foundry to python
is not feasible. Perhaps the script-fu component can be altered.



-- 
--Alexia
_______________________________________________
Gimp-developer mailing list
Gimp-developer@lists.XCF.Berkeley.EDU
https://lists.XCF.Berkeley.EDU/mailman/listinfo/gimp-developer

Reply via email to